Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.dics.protocol.v4
Class NoGenericPrescriptionReasonType

    java.lang.Object
      be.fgov.ehealth.dics.core.v4.refdata.NoGenericPrescriptionReasonKeyType
          be.fgov.ehealth.dics.protocol.v4.NoGenericPrescriptionReasonType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2023-04-04T03:56:36+02:00",
               comments="JAXB RI v2.3.6")
    public class NoGenericPrescriptionReasonType

extends NoGenericPrescriptionReasonKeyType
implements Serializable

Java class for NoGenericPrescriptionReasonType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="NoGenericPrescriptionReasonType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:dics:core:v4:refdata}NoGenericPrescriptionReasonKeyType">
           <sequence>
             <element name="Description" type="{urn:be:fgov:ehealth:dics:protocol:v4}ConsultTextType"/>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`NoGenericPrescriptionReasonType()`

Method Summary
`ConsultTextType` | `getDescription()` Gets the value of the description property.
`void` | `setDescription(ConsultTextType value)` Sets the value of the description property.

Methods inherited from class be.fgov.ehealth.dics.core.v4.refdata.NoGenericPrescriptionReasonKeyType
`getCode, setCode`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NoGenericPrescriptionReasonType

    public NoGenericPrescriptionReasonType()

Method Detail

### getDescription

    public ConsultTextType getDescription()

  Gets the value of the description property.

  Returns:
    possible object is `ConsultTextType`

### setDescription

    public void setDescription(ConsultTextType value)

  Sets the value of the description property.

  Parameters:
    `value` - allowed object is `ConsultTextType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.24.0 API
Copyright © {inceptionYear}-2023 eHealth. All Rights Reserved.